
#property copyright "Copyright  2012"
#property link      "http://www.forexsniperpro.com/"

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Green
#property indicator_color2 Red

//#include <stdlib.mqh>
#import "stdlib.ex4"
   string ErrorDescription(int a0); // DA69CBAFF4D38B87377667EEC549DE5A
#import

extern int TrendLength = 40;
double buf_80[];
double buf_84[];
double buf_88[];
double buf_92[];
double buf_96[];
int int100;

// E37F0136AA3FFAF149B351F6A4C948E9
int init() {
   if (TrendLength < 1) Comment("ForexSniperPro_Trend:  TrendLength must be greater than 0");
   else Comment("");
   IndicatorBuffers(5);
   if ((!SetIndexBuffer(0, buf_80)) && !SetIndexBuffer(1, buf_84) && (!SetIndexBuffer(2, buf_88)) && (!SetIndexBuffer(3, buf_92)) && (!SetIndexBuffer(4,
      buf_96))) Print("ForexSniperPro_Trend cannot set indicator buffers!");
   SetIndexStyle(0, DRAW_LINE);
   SetIndexStyle(1, DRAW_LINE);
   int100 = TrendLength + 5;
   SetIndexDrawBegin(0, int100);
   SetIndexDrawBegin(1, int100);
   IndicatorDigits(MarketInfo(Symbol(), MODE_DIGITS) + 1.0);
   IndicatorShortName("FSP_Trend(" + TrendLength + ")");
   SetIndexLabel(0, "Rising");
   SetIndexLabel(1, "Falling");
   return (0);
}

// 52D46093050F38C27267BCE42543EF60
int deinit() {
   switch (UninitializeReason()) {
   case REASON_CHARTCLOSE:
      Print("UninitReason: ChartClose");
      break;
   case REASON_REMOVE:
      Print("UninitReason: Removed");
      break;
   case REASON_RECOMPILE:
      Print("UninitReason: Recompile");
      break;
   case REASON_CHARTCHANGE:
      Print("UninitReason: ChartChange");
      break;
   case REASON_PARAMETERS:
      Print("UninitReason: Parameters");
      break;
   case REASON_ACCOUNT:
      Print("UninitReason: Account");
   }
   return (0);
}

// EA2B2676C28C0DB26D39331A336C6B92
int start() {
   int li_8 = IndicatorCounted();
   if (li_8 > 0) li_8--;
   int li_0 = Bars - li_8;
   int li_unused_12 = 0;
   for (int li_4 = 0; li_4 < MathMax(2, li_0); li_4++) {
      buf_88[li_4] = (High[li_4] - Low[li_4]) / 2.0;
      buf_92[li_4] = High[li_4] - buf_88[li_4];
   }
   for (li_4 = 0; li_4 < MathMax(2, li_0); li_4++) buf_96[li_4] = iMAOnArray(buf_92, Bars, TrendLength, 0, MODE_EMA, li_4);
   for (li_4 = 0; li_4 < MathMax(2, li_0); li_4++) buf_80[li_4] = iMAOnArray(buf_96, Bars, TrendLength, 0, MODE_EMA, li_4);
   bool li_16 = FALSE;
   for (li_4 = 0; li_4 < MathMax(2, li_0); li_4++) {
      if (buf_80[li_4] < Close[li_4]) li_16 = FALSE;
      else
         if (buf_80[li_4] > Close[li_4]) li_16 = TRUE;
      if (li_16) buf_84[li_4] = buf_80[li_4];
      else buf_84[li_4] = EMPTY_VALUE;
   }
   int error_20 = GetLastError();
   if (error_20 != 0/* NO_ERROR */) Print("Error:  " + ErrorDescription(error_20));
   return (0);
}